post
https://{sitename}.mvpplant.com/ODataApi/v1/Parts('')/Return
Return a quantity of an existing part to inventory.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Return Part
Return a quantity of an existing part to inventory.
POST /ODataApi/v1/Parts('name')/ReturnEndpoint
https://{sitename}.mvpplant.com/ODataApi/v1/Parts('{name}')/ReturnReplace {sitename} with your MVP One site name and {name} with the part name or part ID.
Request body
Send the return details in the request body.
| Field | Type | Required | Description |
|---|---|---|---|
WarehouseID | String | Yes | Warehouse where the part is returned. |
StockLocation | String | Yes | Stock location where the part is returned. |
Quantity | Decimal | Yes | Quantity to return. |
PeopleID | String | Yes | Person associated with the return transaction. |
ReturnFrom | String | Yes | Entity or source returning the part. |
ReturnType | String | Yes | Type of source returning the part. |
FromAccount | String | Yes | Account used as the source for the return. |
ToAccount | String | Yes | Account receiving the returned quantity. |
Notes | String | Yes | Notes for the return transaction. |
DateTime | String | Yes | Date and time of the return transaction. |
Example request
{
"WarehouseID": "MAIN",
"StockLocation": "A-01",
"Quantity": 1,
"PeopleID": "JSMITH",
"ReturnFrom": "WO-1001",
"ReturnType": "WorkOrder",
"FromAccount": "Maintenance",
"ToAccount": "Inventory",
"Notes": "Returned unused part from work order",
"DateTime": "2026-06-22T10:30:00"
}Example URL
https://company.mvpplant.com/ODataApi/v1/Parts('PART-1001')/ReturnResponse
Returns a Boolean value.
trueNotes
- Use this endpoint to return a quantity of an existing part to inventory.
- The part must already exist before you call this endpoint.
- Use single quotes around the part name or part ID in the URL.
Quantityshould be the amount returned.DateTimeshould use the date and time format expected by your MVP One environment.
